<?php
require "../vendor/autoload.php";

use Utils\ApiUtil;
use Config\Config;


#获取wxcode
$code = get('wxcode');


if (!$code) {
    $queryData = [
        "app_key" => Config::APP_KEY,
        "response_type" => "code",
        "scope" => "snsapi_userinfo",
        "school_code" => Config::SCHOOL_CODE,
        "redirect_uri" => urlencode(Config::REDIRECT_URL),//配置自己的地址
        "state" => "state",
    ];
    $url = Config::H5_CODE . "?" . http_build_query($queryData);

    header('Location: ' . $url);
    exit;
}
#获取access_token权限凭证
$senData = [
    "wxcode" => $code,
];

#获取access_token和用户信息
$res = ApiUtil::getAccessTokenAndUser($senData);

echo json_encode($res);exit;
/**
 * @param $param
 * @return mixed|string
 */
function get($param)
{
    return (isset($_GET[$param]) && $_GET[$param]) ? $_GET[$param] : '';
}










