<?php

namespace Config;

/**
 * 微校标准应用接入DEMO 配置文件
 */
class Config
{

    // 微校示例APP_KEY和APP_SECRET，需要开发者改成应用的APP_KEY和APP_SECRET
    const APP_KEY = '830F2F57378091D3';
    const APP_SECRET = '60E07B715CE97F64047F97F990C109B0';
    const SCHOOL_CODE = '1013957946';

    #机具版本号
    const MACHINE_VERSION = '20200403';

    #机具编号
    const MACHINE_ID = '888888';

    #机器指纹
    const MACHINE_FINGER_PRINT = '2170a8049257678b918fc0048e89bf17';

    // 获取应用A凭证
    const APP_ACCESS_TOKEN = "https://open.wecard.qq.com/cgi-bin/oauth2/token";

    const GET_ACCESS_TOKEN = "https://open.wecard.qq.com/connect/oauth2/token";


    #pc获取code
    const PC_CODE = "https://open.wecard.qq.com/connect/oauth/pc-authorize";

    #H5获取code
    const H5_CODE = "https://open.wecard.qq.com/connect/oauth/authorize";


    #电子码解码地址
    const CAMPUS_CODE = "https://weixiao.qq.com/apps/school-api/campus-code";

    #电子码扫码回调事件
    const CAMPUS_NOTIFY = "https://weixiao.qq.com/apps/school-api/scan-notify";

    #主体信息
    const SCHOOL_INFO = "https://open.wecard.qq.com/cgi-bin/campus/school-info";

    #组织架构
    const ORG = "https://open.wecard.qq.com/cgi-bin/user/org-edu-list";

    #组织架构类型
    const ORG_TYPE = "https://open.wecard.qq.com/cgi-bin/org/types";

    #获取单个组织架构成员
    const SINGLE_ORG_MEMBER = "https://open.wecard.qq.com/cgi-bin/user/get-org-users";

    #获取成员身份类型
    const IDENTITY_TYPE = "https://open.wecard.qq.com/cgi-bin/user/get-identity-type";

    #搜索成员
    const SEARCH_MEMBER = "https://open.wecard.qq.com/cgi-bin/user/search";

    #获取权限组
    const GET_GROUP_PERMISSION = "https://open.wecard.qq.com/cgi-bin/permission/group-list";

    #获取权限组详情
    const PERMISSION_DETAIL = "https://open.wecard.qq.com/cgi-bin/permission/group";

    #获取某个用户权限
    const GET_USER_PERMISSION = "https://open.wecard.qq.com/cgi-bin/permission/user-permission";

    #获取角色组
    const GET_ROLE_GROUP = "https://open.wecard.qq.com/cgi-bin/role/groups";

    #获取角色
    const GET_ROLE = "https://open.wecard.qq.com/cgi-bin/role/roles";

    ##查询通知能力
    const GET_NOTICE_ABILITY = "https://uni.weixiao.qq.com/open/notice/ability";

    #发送通知
    const SEND_NOTICE = "https://uni.weixiao.qq.com/open/notice/send";

    #发送通知数据明细
    const GET_NOTICE_DETAIL = "https://uni.weixiao.qq.com/open/notice/send";

    #用户阅读通知情况
    const USER_READ = "https://uni.weixiao.qq.com/open/notice/read";

    #小程序打开用户电子卡
    const MINI_GET_CARD = "https://weixiao.qq.com/apps/school-api/student-cards";

    #小程序添加用户电子卡
    const MINI_ADD_CARD = "https://weixiao.qq.com/apps/school-api/student-cards";

    #电子卡跳转小程序获取成员信息
    const MINI_GET_MEMBER_INFO = "https://weixiao.qq.com/apps/school-api/student-cards";

    #注册地址
    const REGISTER_URL = "https://payapi.weixiao.qq.com/register";
    #获取配置地址
    const CONFIG_URL = "https://payapi.weixiao.qq.com/configv3";
    #获取今日数据
    const STAT_URL = "https://payapi.weixiao.qq.com/stattoday";
    #获取心跳
    const HEART_URL = "https://payapi.weixiao.qq.com/heartbeat";
    #发起代扣地址
    const PAPPAY_URL = "https://payapi.weixiao.qq.com/pappay";
    #退款地址
    const REFUND_URL = "https://payapi.weixiao.qq.com/refund";
    #退款查询地址
    const REFUND_QUERY_URL = "https://payapi.weixiao.qq.com/refundquery";

    #获取code重定向地址
    const REDIRECT_URL = "https://payapi.weixiao.qq.com/refundquery";

}
