<?php
require "../vendor/autoload.php";

use Utils\SignUtil;


$getData = json_decode(file_get_contents('php://input'), true);

$data = [
    "cardNumber" => $getData["cardNumber"],
    "schoolCode" => $getData["schoolCode"],
    "imageUrl" => $getData["imageUrl"],
    "appKey" => $getData["appKey"],
    "timestamp" => $getData["timestamp"],
    "nonce" => $getData["nonce"],
    "signature" => $getData["signature"]
];

$result = SignUtil::verifyRequest($data);

if ($result['errcode'] == 0) {
    //此处建议先向微校服务器返回异步任务处理自己的逻辑避免超时
    $data = ['result' => 1, 'msg' => 'ok'];
    //写入成功的业务逻辑
} else {
    $data = ['result' => 0, 'msg' => 'xxxx'];
}

echo json_encode($data);
exit;


