#说明
## 1：此demo对应的官方文档地址 https://wiki.weixiao.qq.com/,仅作为调试接口，实际开发中请仔细阅读文档。

## 2：调试前请cd到Config文件夹下填写好自己的配置信息。

## 3：目录对对应接口如下所示

├─appManage                              应用操作
│      close.php                         --关闭应用
│      monitor.php                       --应用监控
│      open.php                          --开启应用
│
├─authentication                         身份验证
│      h5.php                            --h5身份验证
│      pc.php                            --pc身份验证
│
├─campusCode                             电子码
│      decode.php                        --电子码解码
│      notify.php                        --电子码事件回调
│
├─config                                 配置文件目录
│      Config.php                        --配置文件 
│
├─face                                   人脸识别
│      face.php                          --人脸采集
│
├─mainInfoManager                        主体信息管理
│  │  mainInfo.php                        --主体基本信息
│  │
│  ├─memberManage                        成员管理
│  │      getMemberType.php              --获取成员身份类型
│  │      getSingleOrgMember.php         --获取单个组织架构成员
│  │      searchMember.php               --搜索成员
│  │
│  ├─orgManage                           组织架构管理
│  │      getOrg.php                     --获取组织架构
│  │      getOrgType.php                 --获取组织架构类型
│  │
│  ├─permission                          权限管理
│  │      getMemberPermission.php        --获取用户权限
│  │      getGroupPermission.php         --获取权限组
│  │      getPermissionDetail.php        --获取权限组详情   
│  │
│  └─roleManage                          角色管理
│          getRole.php                   --获取角色
│          getRoleGroup.php              --获取角色组
│
├─notice                                 消息通知
│      getNoticeAbility.php              --查询通知能力
│      noticeDataDetail.php              --通知数据明细
│      sendNotice.php                    --发送消息
│      userReadInfo.php                  --用户阅读情况
│
└─utils                                  工具
        ApiUtil.php                      --接口工具类
        EncryptUtil.php                  --AES签名工具
        SignUtil.php                     --wiki文档签名工具
