<?php
require "../vendor/autoload.php";

use Utils\SignUtil;

$getData = json_decode(file_get_contents('php://input'), true);

$data = [
    "school_code" => $getData["school_code"],
    "app_key" => $getData["app_key"],
    "timestamp" => $getData["timestamp"],
    "nonce" => $getData["nonce"],
    "signature" => $getData["signature"]
];

// 验证请求合法性
$result = SignUtil::verifyRequest($data);
if (isset($result['errcode']) && $result['errcode'] != 0) {
    echo json_encode($result);
} else {
    echo json_encode(['errcode' => 0, 'errmsg' => 'ok']);
}
exit;